Index: /branches/Trunk/HeuristicLab.Problems.ExternalEvaluation.GP.Views/3.3/HeuristicLab.Problems.ExternalEvaluation.GP.Views-3.3.csproj
===================================================================
--- /branches/Trunk/HeuristicLab.Problems.ExternalEvaluation.GP.Views/3.3/HeuristicLab.Problems.ExternalEvaluation.GP.Views-3.3.csproj	(revision 6846)
+++ /branches/Trunk/HeuristicLab.Problems.ExternalEvaluation.GP.Views/3.3/HeuristicLab.Problems.ExternalEvaluation.GP.Views-3.3.csproj	(revision 6847)
@@ -115,5 +115,5 @@
   </ItemGroup>
   <ItemGroup>
-    <None Include="Properties\AssemblyInfo.ccs.frame" />
+    <None Include="Properties\AssemblyInfo.cs.frame" />
     <Compile Include="Plugin.cs" />
     <Compile Include="VariableSymbolView.cs">
Index: anches/Trunk/HeuristicLab.Problems.ExternalEvaluation.GP.Views/3.3/Properties/AssemblyInfo.ccs.frame
===================================================================
--- /branches/Trunk/HeuristicLab.Problems.ExternalEvaluation.GP.Views/3.3/Properties/AssemblyInfo.ccs.frame	(revision 6846)
+++ 	(revision )
@@ -1,36 +1,0 @@
-﻿using System.Reflection;
-using System.Runtime.CompilerServices;
-using System.Runtime.InteropServices;
-
-// General Information about an assembly is controlled through the following 
-// set of attributes. Change these attribute values to modify the information
-// associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.Problems.ExternalEvaluation.GP.Views")]
-[assembly: AssemblyDescription("")]
-[assembly: AssemblyConfiguration("")]
-[assembly: AssemblyCompany("HEAL")]
-[assembly: AssemblyProduct("HeuristicLab.Problems.ExternalEvaluation.GP.Views")]
-[assembly: AssemblyCopyright("Copyright © HEAL 2002-2011")]
-[assembly: AssemblyTrademark("")]
-[assembly: AssemblyCulture("")]
-
-// Setting ComVisible to false makes the types in this assembly not visible 
-// to COM components.  If you need to access a type in this assembly from 
-// COM, set the ComVisible attribute to true on that type.
-[assembly: ComVisible(false)]
-
-// The following GUID is for the ID of the typelib if this project is exposed to COM
-[assembly: Guid("a46c53b9-5135-4640-9c67-a038afb891fd")]
-
-// Version information for an assembly consists of the following four values:
-//
-//      Major Version
-//      Minor Version 
-//      Build Number
-//      Revision
-//
-// You can specify all the values or you can default the Build and Revision Numbers 
-// by using the '*' as shown below:
-// [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.5.$WCREV$")]
Index: /branches/Trunk/HeuristicLab.Problems.ExternalEvaluation.GP.Views/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- /branches/Trunk/HeuristicLab.Problems.ExternalEvaluation.GP.Views/3.3/Properties/AssemblyInfo.cs.frame	(revision 6847)
+++ /branches/Trunk/HeuristicLab.Problems.ExternalEvaluation.GP.Views/3.3/Properties/AssemblyInfo.cs.frame	(revision 6847)
@@ -0,0 +1,36 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Problems.ExternalEvaluation.GP.Views")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("HEAL")]
+[assembly: AssemblyProduct("HeuristicLab.Problems.ExternalEvaluation.GP.Views")]
+[assembly: AssemblyCopyright("Copyright © HEAL 2002-2011")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("a46c53b9-5135-4640-9c67-a038afb891fd")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("3.3.0.0")]
+[assembly: AssemblyFileVersion("3.3.5.$WCREV$")]
Index: /branches/Trunk/HeuristicLab/3.3/HeuristicLab-3.3.csproj
===================================================================
--- /branches/Trunk/HeuristicLab/3.3/HeuristicLab-3.3.csproj	(revision 6846)
+++ /branches/Trunk/HeuristicLab/3.3/HeuristicLab-3.3.csproj	(revision 6847)
@@ -139,5 +139,5 @@
     <None Include="HeuristicLab.snk" />
     <None Include="MergeConfigs.cmd" />
-    <None Include="Properties\AssemblyInfo.frame" />
+    <None Include="Properties\AssemblyInfo.cs.frame" />
     <None Include="Properties\Settings.settings">
       <Generator>SettingsSingleFileGenerator</Generator>
Index: /branches/Trunk/HeuristicLab/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- /branches/Trunk/HeuristicLab/3.3/Properties/AssemblyInfo.cs.frame	(revision 6847)
+++ /branches/Trunk/HeuristicLab/3.3/Properties/AssemblyInfo.cs.frame	(revision 6847)
@@ -0,0 +1,54 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab 3.3")]
+[assembly: AssemblyDescription("HeuristicLab 3.3")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2011 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("0add4132-8872-4c5c-bba5-1de2f6486dd8")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+[assembly: AssemblyVersion("3.3.5.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.5.$WCREV$")]
Index: anches/Trunk/HeuristicLab/3.3/Properties/AssemblyInfo.frame
===================================================================
--- /branches/Trunk/HeuristicLab/3.3/Properties/AssemblyInfo.frame	(revision 6846)
+++ 	(revision )
@@ -1,54 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System.Reflection;
-using System.Runtime.CompilerServices;
-using System.Runtime.InteropServices;
-
-// General Information about an assembly is controlled through the following 
-// set of attributes. Change these attribute values to modify the information
-// associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab 3.3")]
-[assembly: AssemblyDescription("HeuristicLab 3.3")]
-[assembly: AssemblyConfiguration("")]
-[assembly: AssemblyCompany("")]
-[assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2011 HEAL")]
-[assembly: AssemblyTrademark("")]
-[assembly: AssemblyCulture("")]
-
-// Setting ComVisible to false makes the types in this assembly not visible 
-// to COM components.  If you need to access a type in this assembly from 
-// COM, set the ComVisible attribute to true on that type.
-[assembly: ComVisible(false)]
-
-// The following GUID is for the ID of the typelib if this project is exposed to COM
-[assembly: Guid("0add4132-8872-4c5c-bba5-1de2f6486dd8")]
-
-// Version information for an assembly consists of the following four values:
-//
-//      Major Version
-//      Minor Version 
-//      Build Number
-//      Revision
-//
-[assembly: AssemblyVersion("3.3.5.$WCREV$")]
-[assembly: AssemblyFileVersion("3.3.5.$WCREV$")]